com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_ChannelList

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_ChannelList
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_ChannelList

-     public class STUHFL_T_ST25RU3993_ChannelList
      extends BR_ST25RU3993_ChannelList

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_ChannelList

      `BR_ST25RU3993_ChannelList.Fields, BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_Caps, BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `activeChannelListIdx` < I Param: Set/Get channel list to/from persistent flash memory
    `STUHFL_E.USED_ANTENNA` | `antenna`
    `java.util.List<BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem>` | `itemList` < I/O Param: Current item index in channel list
    `boolean` | `persistent` < I Param: Antenna to which the ChannelList belongs

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_ChannelList()`
    `STUHFL_T_ST25RU3993_ChannelList(STUHFL_E.PROFILE profile)`
    `STUHFL_T_ST25RU3993_ChannelList(STUHFL_E.USED_ANTENNA antenna, boolean persistent, short activeChannelListIdx, java.util.List<BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem> itemList)`
    `STUHFL_T_ST25RU3993_ChannelList(STUHFL_T_ST25RU3993_ChannelList other)` < I/O Param: Tuning capacitors for each frequency

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem` | `add(long frequency)` Add item to local channelList.
    `BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem` | `add(long frequency, short cin, short clen, short cout)` Add item to local channelList.
    `STUHFL_E.RET_CODE` | `commit()` Get frequency channel list
    `STUHFL_E.RET_CODE` | `fetch()` Get frequency channel list
    `BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_Caps` | `getCaps(int itemListIdx)` Get tuning cap values from channel item.
    `void` | `remove(long frequency)` Remove item from local channelList.
    `BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_Caps` | `setCaps(int itemListIdx, short cin, short clen, short cout)` Set tuning cap values for selected channel item.
    `java.lang.String` | `toString()`
    `STUHFL_E.RET_CODE` | `tune(boolean falsePositiveDetection, boolean persistent, STUHFL_E.TUNING_ALGO algorithm)` Perform tuning for actual selected channel list
    `STUHFL_E.RET_CODE` | `tune(boolean falsePositiveDetection, boolean persistent, STUHFL_E.TUNING_ALGO algorithm, short channelListIdx)` Perform tuning for actual selected channel list

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_ChannelList

      `_Get_ChannelList, _Set_ChannelList, _Tune`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### antenna

          public STUHFL_E.USED_ANTENNA antenna

    - #### persistent

          public boolean persistent

      < I Param: Antenna to which the ChannelList belongs

    - #### activeChannelListIdx

          public short activeChannelListIdx

      < I Param: Set/Get channel list to/from persistent flash memory

    - #### itemList

          public java.util.List<BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem> itemList

      < I/O Param: Current item index in channel list

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_ChannelList

          public STUHFL_T_ST25RU3993_ChannelList(STUHFL_T_ST25RU3993_ChannelList other)

      < I/O Param: Tuning capacitors for each frequency

    - #### STUHFL_T_ST25RU3993_ChannelList

          public STUHFL_T_ST25RU3993_ChannelList(STUHFL_E.USED_ANTENNA antenna,
                                                 boolean persistent,
                                                 short activeChannelListIdx,
                                                 java.util.List<BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem> itemList)

    - #### STUHFL_T_ST25RU3993_ChannelList

          public STUHFL_T_ST25RU3993_ChannelList()

    - #### STUHFL_T_ST25RU3993_ChannelList

          public STUHFL_T_ST25RU3993_ChannelList(STUHFL_E.PROFILE profile)

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Get frequency channel list
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get frequency channel list
      Returns:
        error code

    - #### tune

          public STUHFL_E.RET_CODE tune(boolean falsePositiveDetection,
                                        boolean persistent,
                                        STUHFL_E.TUNING_ALGO algorithm)

      Perform tuning for actual selected channel list
      Parameters:
        `falsePositiveDetection:` - Do false positive check during tuning
        `persistent:` - Save tuning result to persistent memory on evaluation board
        `algorithm:` - Algorithm to be used for tuning
      Returns:
        error code

    - #### tune

          public STUHFL_E.RET_CODE tune(boolean falsePositiveDetection,
                                        boolean persistent,
                                        STUHFL_E.TUNING_ALGO algorithm,
                                        short channelListIdx)

      Perform tuning for actual selected channel list
      Parameters:
        `falsePositiveDetection:` - Do false positive check during tuning
        `persistent:` - Save tuning result to persistent memory on evaluation board
        `algorithm:` - Algorithm to be used for tuning
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### add

          public BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem add(long frequency)

      Add item to local channelList. ChannelList must be committed to apply changes on the board
      Returns:
        error code

    - #### add

          public BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem add(long frequency,
                                                                               short cin,
                                                                               short clen,
                                                                               short cout)

      Add item to local channelList. ChannelList must be committed to apply changes on the board
      Returns:
        error code

    - #### remove

          public void remove(long frequency)

      Remove item from local channelList. ChannelList must be committed to apply changes on the board

    - #### setCaps

          public BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_Caps setCaps(int itemListIdx,
                                                                            short cin,
                                                                            short clen,
                                                                            short cout)

      Set tuning cap values for selected channel item. ChannelList must be committed to apply changes on the board
      Returns:
        error code

    - #### getCaps

          public BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_Caps getCaps(int itemListIdx)

      Get tuning cap values from channel item.
      Returns:
        error code